| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TableModel::CellData Class Reference
General

`#include <tablemodel.h>`

## Public Member Functions
| CellData ()
| CellData (bool)
| CellData (const CellData &)
| CellData (const char *)
| CellData (const QString &)
| CellData (const QVariant &)
| CellData (double)
| CellData (float)
| CellData (int)
| ~CellData ()
bool | getBoolValue () const
double | getDValue () const
float | getFValue () const
int | getIntValue () const
CellData & | operator= (const CellData &)
void | setDate (const char *)
void | setISODateTime (const char *)
const char * | text () const

## Public Attributes
QVariant & | qvar_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ CellData() [1/9]

TableModel::CellData::CellData | ( |  | ) |

## ◆ CellData() [2/9]

TableModel::CellData::CellData | ( | const QVariant & |  | ) |

## ◆ CellData() [3/9]

TableModel::CellData::CellData | ( | const QString & |  | ) |

## ◆ CellData() [4/9]

TableModel::CellData::CellData | ( | const char * |  | ) |

## ◆ CellData() [5/9]

TableModel::CellData::CellData | ( | bool |  | ) |

## ◆ CellData() [6/9]

TableModel::CellData::CellData | ( | int |  | ) |

## ◆ CellData() [7/9]

TableModel::CellData::CellData | ( | float |  | ) |

## ◆ CellData() [8/9]

TableModel::CellData::CellData | ( | double |  | ) |

## ◆ CellData() [9/9]

TableModel::CellData::CellData | ( | const CellData & |  | ) |

## ◆ ~CellData()

TableModel::CellData::~CellData | ( |  | ) |

## Member Function Documentation

## ◆ getBoolValue()

bool TableModel::CellData::getBoolValue | ( |  | ) | const

## ◆ getDValue()

double TableModel::CellData::getDValue | ( |  | ) | const

## ◆ getFValue()

float TableModel::CellData::getFValue | ( |  | ) | const

## ◆ getIntValue()

int TableModel::CellData::getIntValue | ( |  | ) | const

## ◆ operator=()

CellData & TableModel::CellData::operator= | ( | const CellData & |  | ) |

## ◆ setDate()

void TableModel::CellData::setDate | ( | const char * |  | ) |

## ◆ setISODateTime()

void TableModel::CellData::setISODateTime | ( | const char * |  | ) |

## ◆ text()

const char * TableModel::CellData::text | ( |  | ) | const

## Member Data Documentation

## ◆ qvar_

QVariant& TableModel::CellData::qvar_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025